Subject: Re: [PATCH 1/5] Introduces for_each_revision() helper

From: "Luiz Fernando N. Capitulino" <[email-masked]>
Date: Sat, 28 Apr 2007 13:02:01 -0300

Em Sat, 28 Apr 2007 13:50:59 +0200
Alex Riesen <[email-masked]> escreveu:

| Johannes Schindelin, Sat, Apr 28, 2007 04:46:41 +0200:
| 
| > Furthermore, it is not like it was a huge piece of code that is being 
| > replaced by a shortcut. There are better places to do some libification 
| > than this.
| 
| It is not about libification. It is plain readability issue.

 Yes, it's just something I've thought would be worth doing, it's
not the libfication work.

| Look at what list_for_each_* macros did to the source of Linux kernel.

 BTW, I was considering using Linux kernel's linked list
implementation in git, since we have some linked lists around.

 But I think people won't like it.